Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.jbotester
Class ResultWindow

`java.lang.Object
oracle.jbo.jbotester.ResultWindow`

All Implemented Interfaces:
  javax.swing.event.ChangeListener, java.util.EventListener

public final class ResultWindow
extends java.lang.Object
implements javax.swing.event.ChangeListener

Constructor Summary
`ResultWindow()`

Method Summary
`void` | `addChangeListener(javax.swing.event.ChangeListener l)`
`void` | `addTab(javax.swing.JPanel panel, java.lang.String tabName)`
`void` | `addToWindow(javax.swing.JPanel container, javax.swing.JPanel panel)` addToWindow is used to show the data window and navigation bar in a separate window In this case, the navigation bar is floating, and assumed to be on the spot where the new window should reside.
`static ResultWindow` | `createResultWindow()`
`void` | `displayInWindow(javax.swing.JPanel panel)` displayInWindow is used to show the data window and navigation bar in a separate window
`static ResultWindow` | `getResultWindow()`
`javax.swing.JPanel` | `getSelectedTab()`
`javax.swing.JPanel` | `getTab(java.lang.String title)`
`javax.swing.JTabbedPane` | `getTabbedPane()`
`boolean` | `isDocking()`
`void` | `refreshAfterActivate()`
`void` | `refreshAll(boolean resetCurrency)`
`void` | `removeAllTabs()`
`void` | `removeChangeListener(javax.swing.event.ChangeListener l)`
`javax.swing.JPanel` | `removeTab(java.lang.String name)`
`void` | `replaceTab(oracle.jbo.jbotester.ResultFrame frame)`
`void` | `showTab(java.lang.String name)`
`void` | `stateChanged(javax.swing.event.ChangeEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultWindow

    public ResultWindow()

Method Detail

### isDocking

    public boolean isDocking()

### addChangeListener

    public void addChangeListener(javax.swing.event.ChangeListener l)

### removeChangeListener

    public void removeChangeListener(javax.swing.event.ChangeListener l)

### getTabbedPane

    public javax.swing.JTabbedPane getTabbedPane()

### addTab

    public void addTab(javax.swing.JPanel panel,
                       java.lang.String tabName)

### addToWindow

    public void addToWindow(javax.swing.JPanel container,
                            javax.swing.JPanel panel)

  addToWindow is used to show the data window and navigation bar in a separate window In this case, the navigation bar is floating, and assumed to be on the spot where the new window should reside.
  Parameters:
    `container` - the window with the navigation bar
    `panel` - the data panel

### displayInWindow

    public void displayInWindow(javax.swing.JPanel panel)

  displayInWindow is used to show the data window and navigation bar in a separate window
  Parameters:
    `panel` - the Panel containing both data and navigation bar

### getResultWindow

    public static ResultWindow getResultWindow()

### createResultWindow

    public static ResultWindow createResultWindow()

### getTab

    public javax.swing.JPanel getTab(java.lang.String title)

### getSelectedTab

    public javax.swing.JPanel getSelectedTab()

### showTab

    public void showTab(java.lang.String name)

### removeTab

    public javax.swing.JPanel removeTab(java.lang.String name)

### replaceTab

    public void replaceTab(oracle.jbo.jbotester.ResultFrame frame)

### removeAllTabs

    public void removeAllTabs()

### refreshAfterActivate

    public void refreshAfterActivate()

### refreshAll

    public void refreshAll(boolean resetCurrency)

### stateChanged

    public void stateChanged(javax.swing.event.ChangeEvent e)

  Specified by:
    `stateChanged` in interface `javax.swing.event.ChangeListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.